<!DOCTYPE html>

{% load static %}

{% block links %}
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">

<link rel="stylesheet" type="text/css" href="{% static '/css/general.css' %}" />
<link rel="stylesheet" type="text/css" href="{% static '/css/onboarding.css' %}" />
<script src="https://code.jquery.com/jquery-3.4.1.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
{% endblock %}

{% block body %}
<div class="signup-header invisible">
  <h1 class="text-heading">Step 1/3</h1>
  <h2 class="text-subhead">Let's create a log in ID</h2>
</div>
<form method="post" action="{% url 'register_info1' %}" id="id-form">
    {% csrf_token %}
    <div id="onboardCarousel" class="carousel slide" data-bs-interval="false">
      
        <div class="carousel-inner">
          <div class="carousel-item active">
            <div class="container d-flex justify-content-center" style="height: 100vh!important;">
              <div class="text-center onboarding">
                <img src="{% static '/image/signup-1.png' %}" style="max-width: 70vw; padding-top: 15vh;">
                <p></p>
                <h1>Let us help you set up your first GrapeVine within 4 steps!</h1>
              </div>
            </div>
            
          </div>
          <div class="carousel-item">
              <div class="container">
                <div class="signup-username">
                    <div class="signup-form mt-5">
                        <label for="id_username">Username *</label>
                        {{ form.username }}
                        <!--<input type="text" name="username" maxlength="150" autofocus="" required="" id="id_username" placeholder="grapevine123">-->
                        
                          <span class="helptext form-text">{{form.username.help_text}}</span><br>
                          {% if form.username.errors %}
                          <div class="alert">
                            {% for error in form.username.errors %}
                              <p class="error">{{ error|escape }}</p>
                            {% endfor %}
                          </div>
                          {% endif %}
                        
                        
                    </div>
                  
                
                 </div>
              </div>
            
          </div>
          <div class="carousel-item">
            <div class="container">
                <div class="signup-username">
                    <div class="signup-form mt-5">
                       <label for="id_username">Password</label>
                        {{ form.password1 }}
                        <div class="form-text"><span class="helptext">{{form.password1.help_text}}</span></div>
                        <p></p>
                        <label for="id_username">Confirm Password</label>
                        {{ form.password2 }}
                        <div class="form-text"><span class="helptext">{{form.password2.help_text}}</span></div>
                        <p></p>
                        
                          {% if form.password1.errors %}
                          <div class="alert">
                            {% for error in form.password1.errors %}
                              <p class="error">{{ error|escape }}</p>
                            {% endfor %}
                          </div>
                          {% endif %}
                          {% if form.password2.errors %}
                          <div class="alert">
                            {% for error in form.password2.errors %}
                              <p class="error">{{ error|escape }}</p>
                            {% endfor %}
                          </div>
                          {% endif %}
                        
                        
                    </div>
                    <br>
                    
                    <div class="text-center">
                      <button class="btn button-disabled" type="submit" id="Reg">Register</button>
                    </div>
                    
                    </div>
                  <!-- {{ form.as_p }} -->
                
                
                </div>
              </div>
          </div>
          <div class="control d-flex justify-content-between">
            <button class="btn button-primary ps-1 invisible" type="button" data-bs-target="#onboardCarousel" data-bs-slide="prev" id="prev"><span class="material-icons">&#xe5cb;</span>Previous</button>
            <button class="btn button-primary pe-1" type="button" data-bs-target="#onboardCarousel" data-bs-slide="next" id="next">Next<span class="material-icons">&#xe409;</span></button>
            
          </div>
        </div>
        
        
      
      
      <script>
        var myCarousel = document.querySelector("#onboardCarousel")
        var carousel = new bootstrap.Carousel(myCarousel, {
          interval: false,
          wrap: false
        })
      
        myCarousel.addEventListener('slide.bs.carousel', function (e) {
            if (e.to == 0) {
                $("#prev").removeClass("visible").addClass("invisible");
                $('#next').removeClass("d-none").addClass("d-block");
            } 
            if (e.to == 1) {
                $("#prev").removeClass("visable").addClass("invisible");
                $('#next').removeClass("d-none").addClass("d-block");
                $('#next').removeClass("button-primary").addClass("button-disabled").click(function(){$("#onboardCarousel").carousel(2);});
                
                
            } 
            if (e.to == 2) {
              $("#prev").removeClass("invisible").addClass("visible").click(function(){$("#onboardCarousel").carousel(1);});
              $('#next').addClass("d-none");
            } 
          })

          $('#id_username').blur(function()
            {
                if( !$(this).val() ) {
                    $('#next').removeClass("button-primary").addClass("button-disabled");
                } else {
                    $('#next').removeClass("button-disabled").addClass("button-primary");
                }
            });

            $('#id_password1, #id_password2').blur(function()
            {
                if( !$(this).val() ) {
                    $('#Reg').removeClass("button-primary").addClass("button-disabled");
                } else {
                    $('#Reg').removeClass("button-disabled").addClass("button-primary");
                }
            });
        myCarousel.addEventListener('slid.bs.carousel', function (e) {
          if (e.to == 1) {
            $(".signup-header").removeClass("invisible").addClass("visible");
            } 
            if (e.to == 2) {
                $(".button-primary").removeAttr("data-bs-target");
                $(".button-primary").removeAttr("data-bs-slide");
                $(".button-primary").attr("href", "{% url 'register_intro' %}");
            } 
          })
      </script>
      <script>
        $(document).ready(function(){
          var slide_error = '{{ slide_error }}';
          var slide_error_int = parseInt(slide_error);
          if (slide_error_int >0){
            $("#onboardCarousel").carousel(slide_error_int);
          }

        });
      </script>
    
</form>
{% endblock %}